summaryrefslogtreecommitdiffstats
path: root/source/x/marisa
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-12-14 22:41:16 +0000
committer Eric Hameleers <alien@slackware.com>2020-12-15 08:59:50 +0100
commit0dc2fd5cf511a8234b81a1df1444fb2a0a131eaa (patch)
tree9578451e29b487ec00cdd9679e0e6d8aaf2b5d39 /source/x/marisa
parent8e832fbd4b7a5247cf7a23368e2ea308ea4dc739 (diff)
downloadcurrent-0dc2fd5cf511a8234b81a1df1444fb2a0a131eaa.tar.gz
current-0dc2fd5cf511a8234b81a1df1444fb2a0a131eaa.tar.xz
Mon Dec 14 22:41:16 UTC 202020201214224116
ap/pamixer-1.4-x86_64-7.txz: Rebuilt. Recompiled against boost-1.75.0. ap/rpm-4.16.1-x86_64-1.txz: Upgraded. d/strace-5.10-x86_64-1.txz: Upgraded. kde/kig-20.12.0-x86_64-2.txz: Rebuilt. Recompiled against boost-1.75.0. kde/krita-4.4.1-x86_64-2.txz: Rebuilt. Recompiled against boost-1.75.0. l/atkmm-2.28.1-x86_64-1.txz: Upgraded. l/boost-1.75.0-x86_64-1.txz: Upgraded. Shared library .so-version bump. l/cryfs-0.10.2-x86_64-2.txz: Rebuilt. Recompiled against boost-1.75.0. l/fftw-3.3.9-x86_64-1.txz: Upgraded. l/glade3-3.8.6-x86_64-2.txz: Removed. l/gtkmm3-3.24.3-x86_64-1.txz: Upgraded. l/libcap-2.46-x86_64-1.txz: Upgraded. l/mozjs78-78.6.0esr-x86_64-1.txz: Upgraded. l/openexr-2.5.3-x86_64-2.txz: Rebuilt. Recompiled against boost-1.75.0. l/pangomm-2.42.2-x86_64-1.txz: Upgraded. l/rttr-0.9.6-x86_64-2.txz: Rebuilt. Get rid of /usr/doc/index.html (and excessive docs). n/s-nail-14.9.20-x86_64-1.txz: Upgraded. xap/mozilla-firefox-78.6.0esr-x86_64-1.txz: Upgraded. This is a bugfix release. For more information, see: https://www.mozilla.org/en-US/firefox/78.6.0/releasenotes/ xap/xpaint-3.0.3-x86_64-1.txz: Upgraded. xfce/libxfce4ui-4.14.1-x86_64-2.txz: Rebuilt. Recompiled against glade-3.38.2.
Diffstat (limited to 'source/x/marisa')
-rwxr-xr-xsource/x/marisa/marisa.SlackBuild12
1 files changed, 6 insertions, 6 deletions
diff --git a/source/x/marisa/marisa.SlackBuild b/source/x/marisa/marisa.SlackBuild
index f21f027d4..682e0f834 100755
--- a/source/x/marisa/marisa.SlackBuild
+++ b/source/x/marisa/marisa.SlackBuild
@@ -107,8 +107,8 @@ make install DESTDIR=$PKG || exit 1
cd bindings/perl
perl Makefile.PL \
- INC="-I$TMP/marisa-$VERSION/lib" \
- LIBS="-L$TMP/marisa-$VERSION/lib/.libs" \
+ INC="-I$PKG/usr/include" \
+ LIBS="-L$PKG/usr/lib${LIBDIRSUFFIX}" \
PREFIX=/usr \
INSTALLDIRS=vendor
@@ -119,16 +119,16 @@ cd -
cd bindings/python
python setup.py build_ext \
- --include-dirs="$TMP/marisa-$VERSION/lib" \
- --library-dirs="$TMP/marisa-$VERSION/lib/.libs" || exit 1
+ --include-dirs="$PKG/usr/include" \
+ --library-dirs="$PKG/usr/lib${LIBDIRSUFFIX}" || exit 1
python setup.py install \
--root=$PKG || exit 1
cd -
cd bindings/ruby
ruby extconf.rb \
- --with-opt-include="$TMP/marisa-$VERSION/lib" \
- --with-opt-lib="$TMP/marisa-$VERSION/lib/.libs" \
+ --with-opt-include="$PKG/usr/include" \
+ --with-opt-lib="$PKG/usr/lib${LIBDIRSUFFIX}" \
--vendor
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1